gio.unix.OutputStream
Prev | PyGio Unix Class Reference |

## gio.unix.OutputStream

gio.unix.OutputStream — Streaming output operations for UNIX file descriptors.

## Synopsis

    class gio.unix.OutputStream(gio.OutputStream):
        gio.unix.OutputStream(fd, close_fd)
        def get_close_fd()
        def get_fd()
        def set_close_fd(close_fd)

## Ancestry

    +-- gobject.GObject
      +-- gio.OutputStream
        +-- gio.unix.OutputStream

## gio.unix.OutputStream Properties

"close-fd" | Read - Write | Whether to close the file descriptor when the stream is closed. Default value: `True`.
"fd" | Read - Write - Construct only | The file descriptor that the stream writes to. Default value: -1.

## Description

`gio.unix.OutputStream` implements `gio.OutputStream` for writing to a UNIX file descriptor, including asynchronous operations. The file descriptor must be selectable, so it doesn't work with opened files.

Note that `gio.unix.OutputStream` belongs to the UNIX-specific GIO interfaces, thus you have to use the gio-unix-2.0.pc pkg-config file when using it.

## Constructor

        gio.unix.OutputStream(fd, close_fd)

`fd` : | a UNIX file descriptor.
`close_fd` : | `True` to close the file descriptor when done
Returns : | a new `gio.unix.OutputStream`

Creates a new `gio.unix.OutputStream` from the given fd.

If close_fd is `True`, the file descriptor will be closed when the stream is closed.

## Methods

### gio.unix.OutputStream.get_close_fd

        def get_close_fd()

Returns : | `True` if the file descriptor is closed when done.

The `get_close_fd`() method returns whether the file descriptor of stream will be closed when the stream is closed.

### gio.unix.OutputStream.get_fd

        def get_fd()

Returns : | The file descriptor of stream.

The `get_fd`() method return the UNIX file descriptor that the stream reads from.

### gio.unix.OutputStream.set_close_fd

        def set_close_fd(close_fd)

`close_fd` : | `True` to close the file descriptor when done .

The `set_close_fd`() method sets whether the file descriptor of stream shall be closed when the stream is closed.

Prev | Up |
gio.unix.InputStream | Home |